Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infosoftglobal.fusioncharts
Class InitServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.infosoftglobal.fusioncharts.InitServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. Please use classes from com.fusioncharts package

    public class InitServlet

extends javax.servlet.http.HttpServlet
implements javax.servlet.Servlet

Servlet implementation class for Servlet: InitServlet Initializes the database name,path,DSN.Also, it instantiates the DBConnection class
and puts it in the Application context so that all jsps can use this instance of
DBConnection class which has all the db related parameters configured.

Author:
  InfoSoft Global (P) Ltd.
See Also:
  Serialized Form

Constructor Summary
`InitServlet()` Deprecated.

Method Summary
`void` | `destroy()` Deprecated.
`java.lang.String` | `getServletInfo()` Deprecated.
`void` | `init(javax.servlet.ServletConfig config)` Deprecated. Init method of the servlet. Reads the ServletContext parameters, instantiates DBConnection class and sets these values to it.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig, service`

Constructor Detail

### InitServlet

    public InitServlet()

  Deprecated.
  See Also:
    `HttpServlet.HttpServlet()`

Method Detail

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`
  See Also:
    `Servlet.destroy()`

### getServletInfo

    public java.lang.String getServletInfo()

  Deprecated.
  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`
  See Also:
    `Servlet.getServletInfo()`

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Deprecated.
  Init method of the servlet.
  Reads the ServletContext parameters, instantiates DBConnection class
  and sets these values to it.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` - ServletConfig
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD